Debian Bug report logs - #467707
libclass-accessor-chained-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libclass-accessor-chained-perl; Maintainer for libclass-accessor-chained-perl is James Bromberger <jeb@debian.org>; Source for libclass-accessor-chained-perl is src:libclass-accessor-chained-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:14:43 UTC

Severity: important

Tags: patch

Found in version libclass-accessor-chained-perl/0.01-2

Fixed in version libclass-accessor-chained-perl/0.01.1~debian-2.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to James Bromberger <jeb@debian.org>:
Bug#467707; Package libclass-accessor-chained-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to James Bromberger <jeb@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libclass-accessor-chained-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:12 +0200
Package: libclass-accessor-chained-perl
Version: 0.01-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, James Bromberger <jeb@debian.org>:
Bug#467707; Package libclass-accessor-chained-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to James Bromberger <jeb@debian.org>. Full text and rfc822 format available.

Message #10 received at 467707@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467707@bugs.debian.org
Subject: libclass-accessor-chained-perl: diff for NMU version 0.01~debian-2.1
Date: Sun, 6 Apr 2008 01:46:45 +0100
[Message part 1 (text/plain, inline)]
tags 467707 + patch
thanks

Hi,

Attached is the diff for my libclass-accessor-chained-perl 0.01~debian-2.1 NMU.

-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libclass-accessor-chained-perl-0.01~debian-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2008 00:48:08 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467707-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467707-close@bugs.debian.org
Subject: Bug#467707: fixed in libclass-accessor-chained-perl 0.01.1~debian-2.1
Date: Sun, 06 Apr 2008 01:02:42 +0000
Source: libclass-accessor-chained-perl
Source-Version: 0.01.1~debian-2.1

We believe that the bug you reported is fixed in the latest version of
libclass-accessor-chained-perl, which is due to be installed in the Debian FTP archive:

libclass-accessor-chained-perl_0.01.1~debian-2.1.diff.gz
  to pool/main/libc/libclass-accessor-chained-perl/libclass-accessor-chained-perl_0.01.1~debian-2.1.diff.gz
libclass-accessor-chained-perl_0.01.1~debian-2.1.dsc
  to pool/main/libc/libclass-accessor-chained-perl/libclass-accessor-chained-perl_0.01.1~debian-2.1.dsc
libclass-accessor-chained-perl_0.01.1~debian-2.1_all.deb
  to pool/main/libc/libclass-accessor-chained-perl/libclass-accessor-chained-perl_0.01.1~debian-2.1_all.deb
libclass-accessor-chained-perl_0.01.1~debian.orig.tar.gz
  to pool/main/libc/libclass-accessor-chained-perl/libclass-accessor-chained-perl_0.01.1~debian.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libclass-accessor-chained-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 01:38:30 +0100
Source: libclass-accessor-chained-perl
Binary: libclass-accessor-chained-perl
Architecture: source all
Version: 0.01.1~debian-2.1
Distribution: unstable
Urgency: low
Maintainer: James Bromberger <jeb@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libclass-accessor-chained-perl - make chained accessors
Closes: 467707
Changes: 
 libclass-accessor-chained-perl (0.01.1~debian-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove $(TMP)/usr/lib/perl5 (closes: #467707)
   * Stop ignoring clean errors in debian/rules
   * This is not a native package
   * Update Standards-Version (no changes)
Files: 
 3cf32125f16f0cf27970b6d33e15d454 718 perl optional libclass-accessor-chained-perl_0.01.1~debian-2.1.dsc
 9825a1f30a70e55e61bb5660b2bd7365 2322 perl optional libclass-accessor-chained-perl_0.01.1~debian.orig.tar.gz
 53d96cf994cf6d6a9833e9b5ba00d59c 2265 perl optional libclass-accessor-chained-perl_0.01.1~debian-2.1.diff.gz
 3baa068bb9163daac2acdd16fe2206a5 8008 perl optional libclass-accessor-chained-perl_0.01.1~debian-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+B6HSYIMHOpZA44RAqZJAJ9QZW31Id6uOyO2Bfdtqu+xGaSN9gCffx4j
zzsKTuZ7GTdjQJ5pZpDX2Ws=
=TyRg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:10:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.